@import "{}/imports/ui/stylesheets/variables/index";

// *** Event location edit ***
//============================

.event-edit-location-selected {
  background-color: $white;
  border: 1px solid darken($gray-400, 0%);
  border-radius: 4px;
  display: block;
  padding: 10px;
}

.event-edit-location-selected > {
  .fa-regular,
  .fa-brands,
  .fa-solid {
    color: $green-darker;
  }
}

.event-edit-location-address {
  margin-top: 5px;
}

.event-edit-location-contact {
  background-color: lighten($yellow, 20%);
  margin-top: 10px;
  padding: 5px 10px;
}

.event-edit-location-contact > a {
  display: block;
  padding: 5px 0;
}

.event-edit-location-contact > a > i {
  @include td-padding(right, 3px);
}

.location-change-btn {
  margin-top: 10px;
  width: 100%;
}

.event-edit-location-searchbar {
  padding-bottom: 5px;
}

.event-edit-location-candidates {
  margin: 0;
  padding: 5px 0 0;
}

.event-edit-location-candidate {
  $background-color: darken($blue-lighter, 5%);

  @include td-padding(left, 5px);
  background-color: $background-color;
  list-style: none;
  margin-bottom: 4px;

  &:hover {
    cursor: pointer;
  }

  &:hover,
  &.hover {
    background: darken($background-color, 5%);
  }
}

.event-edit-location-candidate > .address {
  font-size: 11px;
}

.event-edit-location-create-venue {
  display: block;
  margin-top: 10px;
}

.event-edit-location-map > .map-box {
  height: 300px;
  width: 100%;
}
